Skip to Content
Enderdash

Move Page

POST
/knowledge/movePage

Authorization

cookie__Secure-enderdash.session_token<token>

Signed-in Enderdash browser session cookie.

Request Body

application/json
  1. body
organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
pageId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
parentId*|null
beforePageId*|null
expectedVersion*integer
Range0 <= value <= 9007199254740991

Response Body

OK

Example Request
curl -X POST 'https://app.enderdash.com/api/http/knowledge/movePage' \
  -H 'Content-Type: application/json' \
  -d '{
  "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",
  "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
  "beforePageId": "077ef026-c537-49c5-a320-603c49841d40",
  "expectedVersion": 0
}'
Example Response
Empty